<form class="{{cssClass}}" autocomplete="off">

  <div class="sheet-wrapper">

      {{!-- Sheet Header --}}
      <header class="sheet-header">
          <div class="sheet-header__fields">
              <input class="input--title" name="name" type="text" value="{{actor.name}}" placeholder="Name"/>
              <input class="input--title charclass" name="data.details.class" type="text" value="{{data.details.class}}" placeholder="Class"/>
              <div class="flex-item flex-item--level">
                <label for="data.atributes.level.value">{{ localize "DW.Level" }}</label>
                <input name="data.attributes.level.value" type="text" value="{{data.attributes.level.value}}" placeholder="Level" data-dtype="Number"/>
              </div>
              <div class="flex-item flex-item--xp">
                <label for="data.attributes.xp.value">{{ localize "DW.XP" }}</label>
                <input name="data.attributes.xp.value" type="text" value="{{data.attributes.xp.value}}" placeholder="XP" data-dtype="Number"/>
              </div>
          </div>
      </header>

      {{!-- Sidebar --}}
      <section class="sheet-look">
        <div class="cell cell--aesthetics">
          <div class="cell cell--image">
            <img class="profile-img" src="{{actor.img}}" data-edit="img" title="{{actor.name}}" height="100" width="100"/>
          </div>

          <div class="cell cell--look">
            <label class="cell__title">{{localize "DW.Look"}}</label>
            <textarea class="alignment" name="data.details.look" rows="5" title="Hey there! Who are you!?"
              data-dtype="String">{{#if data.details.look}}{{data.details.look}}{{/if}}</textarea>
          </div>

          <div class="cell cell--alignment">
            <label class="cell__title">{{localize "DW.Alignment"}}</label>
            <input type="text" class="input input--title" name="data.details.alignment.value" value="{{data.details.alignment.value}}" data-dtype="String"/>
            <textarea class="alignment" name="data.details.alignment.description" rows="5" title="What's your alignment?"
              data-dtype="String">{{#if data.details.alignment.description}}{{data.details.alignment.description}}{{/if}}</textarea>
          </div>

          <div class="cell cell--race">
            <label class="cell__title">{{localize "DW.Race"}}</label>
            <input type="text" class="input input--title" name="data.details.race.value" value="{{data.details.race.value}}" data-dtype="String"/>
            <textarea class="race" name="data.details.race.description" rows="5" title="What's your race?"
              data-dtype="String">{{#if data.details.race.description}}{{data.details.race.description}}{{/if}}</textarea>
          </div>

          <div class="cell cell--bonds">
            {{!-- Bonds TBD, probably need to be items. --}}
          </div>
        </div>

        <button class="toggle toggle--look"><</button>
      </section>

      {{!-- Main --}}
      <section class="sheet-main">
        {{!-- Attributes --}}
        <section class="sheet-attributes">

          <div class="cell cell--damage">
            <label class="cell__title">{{localize "DW.Damage"}}</label>
            {{!-- <input type="text" name="data.attributes.damage.value" value="{{data.attributes.damage.value}}" data-dtype="String"/> --}}
            <select name="data.attributes.damage.value" data-dtype="String">
              {{#select data.attributes.damage.value}}
              <option value="">—</option>
              <option value="d4">d4</option>
              <option value="d6">d6</option>
              <option value="d8">d8</option>
              <option value="d10">d10</option>
              <option value="d12">d12</option>
              {{/select}}
            </select>
          </div>

          <div class="cell cell--ac">
            <label class="cell__title">{{localize "DW.Armor"}}</label>
            <input type="text" name="data.attributes.ac.value" value="{{data.attributes.ac.value}}" data-dtype="Number"/>
          </div>

          <div class="cell cell--hp">
            <label for="data.attributes.hp.value" class="cell__title">{{localize "DW.HP"}}</label>
            <div class="cell__counter">
              <input type="text" name="data.attributes.hp.value" value="{{data.attributes.hp.value}}" data-dtype="Number"/>
              <span> / </span>
              <input type="text" name="data.attributes.hp.max" value="{{data.attributes.hp.max}}" data-dtype="Number"/>
            </div>
          </div>

          <div class="cell cell--abilities">
            <ol class="abilities-list">
            {{#each data.abilities as |ability key|}}
                <li class="ability flexrow" data-ability="{{key}}">
                    <label for="data.abilities.{{key}}.value" class="cell__title ability-rollable rollable" data-mod="{{ability.mod}}" data-label="{{ability.label}}">{{ ability.label }}</label>
                    <input class="ability-value" type="text" name="data.abilities.{{key}}.value" value="{{ability.value}}" data-dtype="{{ability.dtype}}"/>
                    <span class="ability-mod">{{numberFormat ability.mod decimals=0 sign=true}}</span>
                    <label class="ability-debility checkbox"><input type="checkbox" name="data.abilities.{{key}}.debility" {{checked ability.debility}}/>{{ ability.debilityLabel }}</label>
                </li>
            {{/each}}
            </ol>
          </div>

        </section>

        {{!-- Sheet Tab Navigation --}}
        <nav class="sheet-tabs tabs" data-group="primary">
            <a class="item" data-tab="description">{{localize "DW.Description"}}</a>
            <a class="item" data-tab="moves">{{localize "DW.Moves"}}</a>
            <a class="item" data-tab="spells">{{localize "DW.Spells"}}</a>
            <a class="item" data-tab="equipment">{{localize "DW.Equipment"}}</a>
        </nav>

        {{!-- Sheet Body --}}
        <section class="sheet-body">

            {{!-- Main Tab --}}
            <div class="tab description" data-group="primary" data-tab="description">
              <div class="sheet-tab">
                <div class="cell cell--bio">
                  <label class="cell__title">{{localize "DW.Biography"}}</label>
                  {{!-- We're avoiding WYSIWYGs... for now... --}}
                  {{!-- {{editor content=data.details.biography target="data.details.biography" button=true owner=owner editable=editable}} --}}
                  <textarea class="biography" name="data.details.biography" rows="5" title="Hey there! Who are you!?"
                          data-dtype="String">{{#if data.details.biography}}{{data.details.biography}}{{/if}}</textarea>
                </div>
              </div>
            </div>

            {{!-- Moves Tab --}}
            <div class="tab moves active" data-group="primary" data-tab="moves">
              <section class="sheet-tab">

                <div class="cell cell--starting-moves">
                  <h2 class="cell__title">{{localize "DW.MovesStarting"}}</h2>
                  <div class="item-controls">
                    <button class="item-control item-create" title='{{localize "DW.MoveCreate"}}' data-type="move" data-moveType="starting">
                      <i class="fas fa-plus"></i> {{localize "DW.AddStartingMove"}}
                    </button>
                  </div>
                  <ol class="items-list">
                  {{#each actor.startingMoves as |item id|}}
                    <li class="item flexrow" data-item-id="{{item._id}}">
                      {{!-- <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/> --}}
                      <h4 class="item-name rollable move-rollable" data-roll="{{item.data.rollType}}" data-mod="{{item.data.rollMod}}"><i class="fas fa-dice-d6"></i> <i class="fas fa-dice-d6"></i> {{item.name}}</h4>
                      <div class="item-controls">
                        <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                        <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                      </div>
                      <div class="item-description">{{{item.data.description}}}</div>
                    </li>
                  {{/each}}
                  </ol>
                </div>

                <div class="cell cell--advanced-moves">
                  <h2 class="cell__title">{{localize "DW.MovesAdvanced"}}</h2>
                  <div class="item-controls">
                    <button class="item-control item-create" title='{{localize "DW.MoveCreate"}}' data-type="move" data-moveType="advanced">
                      <i class="fas fa-plus"></i> {{localize "DW.AddAdvancedMove"}}
                    </button>
                  </div>
                  <ol class="items-list">
                  {{#each actor.advancedMoves as |item id|}}
                    <li class="item flexrow" data-item-id="{{item._id}}">
                      {{!-- <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/> --}}
                      <h4 class="item-name rollable move-rollable" data-roll="{{item.data.rollType}}" data-mod="{{item.data.rollMod}}"><i class="fas fa-dice-d6"></i> <i class="fas fa-dice-d6"></i> {{item.name}}</h4>
                      <div class="item-controls">
                        <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                        <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                      </div>
                      <div class="item-description">{{{item.data.description}}}</div>
                    </li>
                  {{/each}}
                  </ol>
                </div>

                <div class="cell cell--other-moves">
                  <h2 class="cell__title">{{localize "DW.MovesOther"}}</h2>
                  <div class="item-controls">
                    <button class="item-control item-create" title='{{localize "DW.MoveCreate"}}' data-type="move">
                      <i class="fas fa-plus"></i> {{localize "DW.AddMove"}}
                    </button>
                  </div>
                  <ol class="items-list">
                  {{#each actor.moves as |item id|}}
                    <li class="item flexrow" data-item-id="{{item._id}}">
                      {{!-- <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/> --}}
                      <h4 class="item-name rollable move-rollable" data-roll="{{item.data.rollType}}" data-mod="{{item.data.rollMod}}"><i class="fas fa-dice-d6"></i> <i class="fas fa-dice-d6"></i> {{item.name}}</h4>
                      <div class="item-controls">
                        <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                        <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                      </div>
                      <div class="item-description">{{{item.data.description}}}</div>
                    </li>
                  {{/each}}
                  </ol>
                </div>

              </section>
            </div>

            {{!-- Owned Spells Tab --}}
            <div class="tab spells" data-group="primary" data-tab="spells">
                <div class="cell cell--spells">
                  <ol class="items-list">
                  {{#each actor.spells as |spells spellLevel|}}
                    <h2 class="cell__title">{{localize (concat "DW.Spells" spellLevel)}}</h2>
                    <div class="item-controls">
                      <button class="item-control item-create" title='{{localize "DW.Spells"}}' data-type="spell" data-level="{{spellLevel}}">
                        <i class="fas fa-plus"></i> {{localize "DW.AddSpell"}}
                      </button>
                    </div>
                    {{#each spells as |item id|}}
                      <li class="item flexrow" data-item-id="{{item._id}}">
                        {{!-- <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/> --}}
                        <h4 class="item-name rollable spell-rollable" data-roll="{{item.data.rollFormula}}"><i class="fas fa-dice-d20"></i> {{item.name}}</h4>
                        <div class="item-controls">
                          <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                          <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                        </div>
                    </li>
                    {{/each}}
                  {{/each}}
                  </ol>
                </div>
            </div>

            {{!-- Owned Equipment Tab --}}
            <div class="tab equipment" data-group="primary" data-tab="equipment">
                <div class="cell cell--equipment">
                  <h2 class="cell__title">{{localize "DW.Equipment"}}</h2>
                  <div class="item-controls">
                    <button class="item-control item-create" title='{{localize "DW.Equipment"}}' data-type="equipment">
                      <i class="fas fa-plus"></i> {{localize "DW.AddEquipment"}}
                    </button>
                  </div>
                  <ol class="items-list">
                  {{#each actor.equipment as |item id|}}
                      <li class="item flexrow" data-item-id="{{item._id}}">
                          {{!-- <img src="{{item.img}}" title="{{item.name}}" width="24" height="24"/> --}}
                          <h4 class="item-name">{{item.name}}</h4>
                          <div class="item-controls">
                              <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                              <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                          </div>
                      </li>
                  {{/each}}
                  </ol>
                </div>
            </div>

        </section>
      </section>

  </div>
</form>

